/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.artifacts.model.minfo;

import org.dive4elements.river.artifacts.model.NamedObjectImpl;
import org.dive4elements.river.artifacts.model.Range;

/** One part of sedimentload. */
public class SedimentLoadFraction
extends NamedObjectImpl
{
    double sand;
    double fine_middle;
    double coarse;
    double susp_sand;
    double susp_sand_bed;
    double susp_sediment;
    double loadTotal;
    double total;
    /** Values are valid within this km range. */
    Range sandRange = null;
    Range fineMiddleRange = null;
    Range coarseRange = null;
    Range suspSandRange = null;
    Range suspSandBedRange = null;
    Range suspSedimentRange = null;
    Range loadTotalRange = null;
    Range totalRange = null;


    public SedimentLoadFraction() {
        sand = 0d;
        fine_middle = 0d;
        coarse = 0d;
        susp_sand = 0d;
        susp_sand_bed = 0d;
        susp_sediment = 0d;
        loadTotal = 0d;
    }

    public double getSand() {
        return sand;
    }

    public void setSand(double sand) {
        this.sand = sand;
    }

    public void setSandRange(Range range) {
        this.sandRange = range;
    }

    public Range getSandRange() {
        return this.sandRange;
    }

    public double getFine_middle() {
        return fine_middle;
    }

    public void setFine_middle(double fine_middle) {
        this.fine_middle = fine_middle;
    }

    public void setFineMiddleRange(Range range) {
        this.fineMiddleRange = range;
    }

    public Range getFineMiddleRange() {
        return this.fineMiddleRange;
    }

    public double getCoarse() {
        return coarse;
    }

    public void setCoarse(double coarse) {
        this.coarse = coarse;
    }

    public Range getCoarseRange() {
        return this.coarseRange;
    }

    public void setCoarseRange(Range range) {
        this.coarseRange = range;
    }

    public double getSusp_sand() {
        return susp_sand;
    }

    public void setSusp_sand(double susp_sand) {
        this.susp_sand = susp_sand;
    }

    public void setSuspSandRange(Range range) {
        this.suspSandRange = range;
    }

    public Range getSuspSandRange() {
        return this.suspSandRange;
    }

    public double getSusp_sand_bed() {
        return susp_sand_bed;
    }

    public void setSusp_sand_bed(double susp_sand_bed) {
        this.susp_sand_bed = susp_sand_bed;
    }

    public void setSuspSandBedRange(Range range) {
        this.suspSandRange = range;
    }

    public Range getSuspSandBedRange() {
        return this.suspSandRange;
    }

    public double getSusp_sediment() {
        return susp_sediment;
    }

    public void setSusp_sediment(double susp_sediment) {
        this.susp_sediment = susp_sediment;
    }

    public void setSuspSedimentRange(Range range) {
        this.suspSedimentRange = range;
    }

    public Range getSuspSedimentRange() {
        return this.suspSedimentRange;
    }

    public double getTotal() {
        return total;
    }

    public void setTotal(double total) {
        this.total = total;
    }

    public void setTotalRange(Range range) {
        this.totalRange = range;
    }

    public Range getTotalRange() {
        return this.totalRange;
    }

    public double getLoadTotal() {
        return loadTotal;
    }

    public void setLoadTotal(double total) {
        this.loadTotal = total;
    }

    public void setLoadTotalRange(Range range) {
        this.loadTotalRange = range;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
